/*
 *   Copyright 2012 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package net.brutex.xservices.types.scm;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * @author Brian Rosenberger, bru(at)brutex.de
 * @since 0.5.0-20120817
 *
 */
@XmlType(name="RevisionType", propOrder={"revision", "comment"})
@XmlRootElement
public class Revision {
	
	private String revision;
	private String comment;
	
	public Revision() {
	}

	public Revision(String revision, String comment) {
		super();
		this.revision = revision;
		this.comment = comment;
	}



	/* (non-Javadoc)
	 * @see net.brutex.xservices.types.scm.SCRevision#getRevision()
	 */
	@XmlElement(required=true, nillable=false)
	public String getRevision() {
		return revision;
	}

	/* (non-Javadoc)
	 * @see net.brutex.xservices.types.scm.SCRevision#getComment()
	 */
	@XmlElement(required=false, nillable=true)
	public String getComment() {
		return comment;
	}

	/**
	 * @param revision the revision to set
	 */
	public void setRevision(String revision) {
		this.revision = revision;
	}

	/**
	 * @param comment the comment to set
	 */
	public void setComment(String comment) {
		this.comment = comment;
	}
	
	

}
