/*
 *   Copyright 2012 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package net.brutex.xservices.types.scm;

import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * @author Brian Rosenberger, bru(at)brutex.de
 * @since 0.5.0-20120817
 *
 */
@XmlType(name="TagType", propOrder={"name", "comment"})
@XmlRootElement
public class Tag {

	private String name;
	private String comment;
	
	public Tag() {
	}
	/**
	 * @param name
	 * @param comment
	 */
	public Tag(String name, String comment) {
		super();
		this.name = name;
		this.comment = comment;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @param comment the comment to set
	 */
	public void setComment(String comment) {
		this.comment = comment;
	}

	/* (non-Javadoc)
	 * @see net.brutex.xservices.types.scm.SCTag#getName()
	 */
	public String getName() {
		return name;
	}

	/* (non-Javadoc)
	 * @see net.brutex.xservices.types.scm.SCTag#getComment()
	 */

	public String getComment() {
		return comment;
	}

}
